Upstream information

CVE-2017-7375 at MITRE

Description

A flaw in libxml2 allows remote XML entity inclusion with default parser flags (i.e., when the caller did not request entity substitution, DTD validation, external DTD subset loading, or default DTD attributes). Depending on the context, this may expose a higher-risk attack surface in libxml2 not usually reachable with default parser flags, and expose content from local files, HTTP, or FTP servers (which might be otherwise unreachable).

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.5 4.3
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network Network
Access Complexity Low Medium
Authentication None None
Confidentiality Impact Partial None
Integrity Impact Partial None
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 5.3
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High None
Integrity Impact High None
Availability Impact High Low
SUSE Bugzilla entries: 1044894 [RESOLVED / FIXED], 1049467 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Openstack Cloud Magnum Orchestration 7
  • libxml2 >= 2.9.4-45.1
  • libxml2-2 >= 2.9.4-45.1
Patchnames:
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2017-1086
SUSE Linux Enterprise Desktop 12 SP2
  • libxml2 >= 2.9.4-45.1
  • libxml2-2 >= 2.9.4-45.1
  • libxml2-2-32bit >= 2.9.4-45.1
  • libxml2-tools >= 2.9.4-45.1
  • python-libxml2 >= 2.9.4-45.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-1086
SUSE Linux Enterprise Desktop 12 SP3
  • libxml2-2 >= 2.9.4-45.1
  • libxml2-2-32bit >= 2.9.4-45.1
  • libxml2-tools >= 2.9.4-45.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libxml2-2
SUSE Linux Enterprise Module for Containers 12
  • sles12sp2-docker-image >= 1.0.2-20180821
Patchnames:
SUSE-SLE-Module-Containers-12-2018-1762
SUSE Linux Enterprise Server 11 SP4
  • libxml2 >= 2.7.6-0.76.1
  • libxml2-32bit >= 2.7.6-0.76.1
  • libxml2-doc >= 2.7.6-0.76.1
  • libxml2-python >= 2.7.6-0.76.4
  • libxml2-x86 >= 2.7.6-0.76.1
Patchnames:
slessp4-libxml2-13199
SUSE Linux Enterprise Server 12 SP2
  • libxml2 >= 2.9.4-45.1
  • libxml2-2 >= 2.9.4-45.1
  • libxml2-2-32bit >= 2.9.4-45.1
  • libxml2-doc >= 2.9.4-45.1
  • libxml2-tools >= 2.9.4-45.1
  • python-libxml2 >= 2.9.4-45.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1086
SUSE Linux Enterprise Server 12 SP3
  • libxml2-2 >= 2.9.4-45.1
  • libxml2-2-32bit >= 2.9.4-45.1
  • libxml2-doc >= 2.9.4-45.1
  • libxml2-tools >= 2.9.4-45.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libxml2-2
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libxml2 >= 2.9.4-45.1
  • libxml2-2 >= 2.9.4-45.1
  • libxml2-doc >= 2.9.4-45.1
  • libxml2-tools >= 2.9.4-45.1
  • python-libxml2 >= 2.9.4-45.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-1086
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • libxml2 >= 2.7.6-0.76.1
  • libxml2-32bit >= 2.7.6-0.76.1
  • libxml2-doc >= 2.7.6-0.76.1
  • libxml2-python >= 2.7.6-0.76.4
  • libxml2-x86 >= 2.7.6-0.76.1
Patchnames:
slessp4-libxml2-13199
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libxml2 >= 2.9.4-45.1
  • libxml2-2 >= 2.9.4-45.1
  • libxml2-2-32bit >= 2.9.4-45.1
  • libxml2-doc >= 2.9.4-45.1
  • libxml2-tools >= 2.9.4-45.1
  • python-libxml2 >= 2.9.4-45.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1086
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libxml2 >= 2.7.6-0.76.1
  • libxml2-devel >= 2.7.6-0.76.1
  • libxml2-devel-32bit >= 2.7.6-0.76.1
Patchnames:
sdksp4-libxml2-13199
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libxml2 >= 2.9.4-45.1
  • libxml2-devel >= 2.9.4-45.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-1086
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libxml2-devel >= 2.9.4-45.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libxml2-devel
openSUSE Leap 42.2
  • libxml2 >= 2.9.4-5.10.1
  • libxml2-2 >= 2.9.4-5.10.1
  • libxml2-2-32bit >= 2.9.4-5.10.1
  • libxml2-2-debuginfo >= 2.9.4-5.10.1
  • libxml2-2-debuginfo-32bit >= 2.9.4-5.10.1
  • libxml2-debugsource >= 2.9.4-5.10.1
  • libxml2-devel >= 2.9.4-5.10.1
  • libxml2-devel-32bit >= 2.9.4-5.10.1
  • libxml2-doc >= 2.9.4-5.10.1
  • libxml2-tools >= 2.9.4-5.10.1
  • libxml2-tools-debuginfo >= 2.9.4-5.10.1
  • python-libxml2 >= 2.9.4-5.10.1
  • python-libxml2-debuginfo >= 2.9.4-5.10.1
  • python-libxml2-debugsource >= 2.9.4-5.10.1
Patchnames:
openSUSE-2017-793
openSUSE Leap 42.3
  • libxml2-2 >= 2.9.4-10.1
  • libxml2-2-32bit >= 2.9.4-10.1
  • libxml2-devel >= 2.9.4-10.1
  • libxml2-tools >= 2.9.4-10.1
Patchnames:
openSUSE Leap 42.3 GA libxml2-2


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
OpenStack Cloud Magnum Orchestration 7.0 libxml2 Released
SUSE Linux Enterprise Desktop 12 SP2 libxml2 Released
SUSE Linux Enterprise SDK 11 SP4 libxml2 Released
SUSE Linux Enterprise SDK 12 SP2 libxml2 Released
SUSE Linux Enterprise Server 11 SP3 LTSS libxml2 Affected
SUSE Linux Enterprise Server 11 SP4 libxml2 Released
SUSE Linux Enterprise Server 12 GA LTSS libxml2 Unsupported
SUSE Linux Enterprise Server 12 SP1 LTSS libxml2 Unsupported
SUSE Linux Enterprise Server 12 SP2 libxml2 Released
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI libxml2 Released